Subject: RE: [AVT] Re: RTP/RTCP Port Sharing (Was: Comedia Issues.)

From: Jonathan Rosenberg <[email-masked]>
Date: Wed, 18 Jul 2001 12:47:50 -0400

> -----Original Message-----
> From: Michael Thomas [mailto:[email-masked]]
> Sent: Wednesday, July 18, 2001 6:23 AM
> To: Lawrence Conroy
> Cc: Leonid Rosenboim; [email-masked]; Ross Finlayson; [email-masked]
> Subject: Re: [AVT] Re: RTP/RTCP Port Sharing (Was: Comedia Issues.)
> 
> 
> Lawrence Conroy writes:
>  > There are some obscure scenarios in which packet traffic 
> is actually carried
>  > on connection-oriented bearers, and each new packet flow 
> *may* need a heavy
>  > weight setup procedure. 
> 
>    I guess that depends on your description of "obscure". 
>    Dean rightly surmised I was thinking about the DOCSIS cable
>    MAC/PHY and the ability to use unsolicited grants for RTP
>    traffic. DOCSIS is pretty widely deployed these days, not
>    to mention an ITU standard. Nor are TDM-like slotting 
>    arrangements likely to vanish on certain kinds of media
>    any time soon. The sin of the PSTN was to insist that
>    there was exactly one way to build a shared media and that
>    was with 64k TDM slots. That's not the same thing as saying
>    that TDM is inherently bad under all circumstances.

I'm just curious how this will work; what if the PC is busy and doesn't get
around to sending media for 100ms (yeah, its bad, I know, but it can
happen), so it sends a burst of 100ms worth of data. Are you saying that
DOCSIS modems will discard the data? Buffer it up, and send it at a constant
packet rate? That makes delays worse...

Anyway, that said, if we have a way to make sure there is always data on the
RTP channel (even while being held, which is a big problem), then my main
motivation for RTP/RTCP on the same port goes away. I could have sworn there
was some other reason for wanting it, but it eludes me at the moment.

However, I definitely need a way to signal the RTCP port, so Christians
draft is really important.

-Jonathan R.
---
Jonathan D. Rosenberg, Ph.D.                72 Eagle Rock Ave.
Chief Scientist                             First Floor
dynamicsoft                                 East Hanover, NJ 07936
[email-masked]                     FAX:   (973) 952-5050
http://www.jdrosen.net                      PHONE: (973) 952-5000
http://www.dynamicsoft.com

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
http://www.ietf.org/mailman/listinfo/avt

---

From: Michael Thomas <[email-masked]>
Date: Wed, 18 Jul 2001 10:18:33 -0700 (PDT)

> packet rate? That makes delays worse...

   The modem should discard the data. It needs to effectively
   act like a jitter buffer. I don't know how that's expressed
   with RSVP though.

	    Mike